Champhoenix 2022-11-25 11:09 采纳率: 33.3%
浏览 14
已结题

IDEA解决Fatal error compiling: 错误: 无效的目标发行版:1.11 -> [Help 1]

IDEA解决Fatal error compiling: 错误: 无效的目标发行版:1.11 -> [Help 1]

请问如何解决?

  • 写回答

1条回答 默认 最新

  • dp_shiyu 2022-11-29 15:43
    关注

    单从提供的问题来看是否是打包时,JDK版本的问题?
    通过指定版本信息可能可以解决该问题。

    <plugin>
      <artifactId>maven-compiler-plugin</artifactId>
      <configuration>
        <source>${maven.compiler.source}</source>
        <target>${maven.compiler.target}</target>
        <compilerArguments>
          <bootclasspath>${java.home}/lib/rt.jar</bootclasspath>
        </compilerArguments>
        <encoding>${project.build.sourceEncoding}</encoding>
      </configuration>
    </plugin>
    

    如未解决,我可远程帮处理

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论

报告相同问题?

问题事件

  • 系统已结题 12月20日
  • 已采纳回答 12月12日
  • 创建了问题 11月25日

悬赏问题

  • ¥20 Windows 驱动开发版本疑问相关
  • ¥15 MAC 未能打开磁盘映像
  • ¥15 fastcap使用,二维导体输入问题
  • ¥15 hosts修改后不能访问
  • ¥15 关于化学反应速率C++编译问题/FLUENT
  • ¥20 Yolov5训练报错
  • ¥15 Unity发布gzip压缩的webgl之后让浏览器可以正常显示画面
  • ¥15 ASP.net Gridview插件数据更新失败问题
  • ¥15 有没有人知道这种提示怎么关?现在不做ts项目了不知道咋关了,求解,现在我以前的js项目都是这种提示了
  • ¥15 为什么mysql做了碎片化处理data_free还是很高